# README for BISDE.tar.

Computational experiments for the paper `Bayesian inference in
Epidemics: linear noise analysis` by Samuel Bronstein, Stefan Engblom,
d and Robin Marin.

First ensure that the directories are on the path, e.g.,

```
addpath(genpath('.'))
```

# 2 The Ornstein-Uhlenbeck process as a disease spread meta-model
`test/sis2ou_illustration.m` generates Fig. 2.1.

# 5.1. Asymptotic uncertainty
`kalman_SIS_marginal.m` performs the computational experiments in §5.1
 and generates the figures. You need to manually change the single line
 ```
 experiment = 1; % 1 or 2
 ```
to perform the two experiments here.

# 5.2. Limits of convergence
`filtered_bayesian_kalman_SIS.m` performs the computational
experiments in §5.2 and generates the figures. Consider to use
```
clear all, close all
```
in case you run this after `kalman_SIS_marginal.m` to avoid namespace
and/or figure property conflicts.

Note: both these scripts react to the variable ```illustrate```. You
may use this to turn the generation of figures on/off.

# 5.3 Network epidemics
Refer to the directory `SimInf/network_epidemics/` and the file
`README.md`found therein. This experiment requires SimInf
(www.siminf.org).

## Dependencies
The examples where generated using: Matlab 9.11.0.1837725 (R2021b)
Update 2, on the platform: mexext = mexmaci64.

#### Package name [version]
URDME [1.4] (www.urdme.org). There are also weak dependencies on
functions in stenglib (www.stenglib.org).
